
%bcond_with	bootstrap	# bootstrap build
%bcond_with	tests		# build without tests

Summary:	Erlang Build Tools
Name:		erlang-rebar
Version:	2.6.4
Release:	1
License:	MIT
Group:		Development/Tools
Source0:	https://github.com/rebar/rebar/tarball/%{version}/rebar-%{version}.tar.bz2
# Source0-md5:	d5083a6bcb0df31e809d5bb0d6be502e
Source1:	rebar.escript
URL:		https://github.com/rebar/rebar
BuildRequires:	erlang >= 2:17
%if %{without bootstrap}
BuildRequires:	erlang-rebar
%endif
BuildRequires:	rpmbuild(macros) >= 2.035
%{?erlang_requires}
Provides:	rebar = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
Erlang Build Tools.

%prep
%setup -qc
mv rebar-rebar-*/* .
%{__rm} -r rebar-rebar-*

%{__sed} -i -e '1s,/usr/bin/env escript,/usr/bin/escript,' \
	priv/templates/simplenode.install_upgrade.escript \
	priv/templates/simplenode.nodetool

%build
%if %{with bootstrap}
./bootstrap
./rebar compile -v
%else
rebar compile -v
install %{SOURCE1} ./rebar
%endif

%if %{with tests}
./rebar eunit -v
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_libdir}/erlang/lib/rebar-%{version}/{ebin,include}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/rebar
cp -p ebin/rebar.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/rebar-%{version}/ebin
cp -p ebin/*.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/rebar-%{version}/ebin
cp -p include/*.hrl $RPM_BUILD_ROOT%{_libdir}/erlang/lib/rebar-%{version}/include
cp -a priv $RPM_BUILD_ROOT%{_libdir}/erlang/lib/rebar-%{version}

%files
%defattr(644,root,root,755)
%doc LICENSE README.md THANKS rebar.config.sample
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rebar
%{_libdir}/erlang/lib/rebar-%{version}

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Wed Nov 20 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/erlang-rebar.git;a=log;h=master

* Wed Nov 20 2024 Jan Palus <atler@pld-linux.org> 62a8330
- disable debug packages

* Thu Nov 14 2024 Jan Palus <atler@pld-linux.org> 270cd7d
- use %erlang_requires

* Sat Nov 09 2024 Jan Palus <atler@pld-linux.org> ef67d95
- up to 2.6.4

* Sat Nov 09 2024 Jan Palus <atler@pld-linux.org> 2a621c6
- fix shebangs

* Wed Mar 25 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ab97217
- Release: 1

* Wed Mar 25 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ad275ce
- Tests moved to %build, where they belong

* Wed Mar 25 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> de5af75
- disable tests, do not work

* Wed Mar 25 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> b9ad076
- new package

